ComponentDescriptionDTO
Date: 2016-06-25

org.osgi.service.component.runtime.dto

## Class ComponentDescriptionDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.service.component.runtime.dto.ComponentDescriptionDTO

-     public class ComponentDescriptionDTO
      extends org.osgi.dto.DTO

  A representation of a declared component description.
  Since:
    1.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `activate` The name of the activate method.
    `org.osgi.framework.dto.BundleDTO` | `bundle` The bundle declaring the component description.
    `java.lang.String[]` | `configurationPid` The configuration pids.
    `java.lang.String` | `configurationPolicy` The configuration policy.
    `java.lang.String` | `deactivate` The name of the deactivate method.
    `boolean` | `defaultEnabled` The initial enabled state.
    `java.lang.String` | `factory` The component factory name.
    `boolean` | `immediate` The immediate state.
    `java.lang.String` | `implementationClass` The fully qualified name of the implementation class.
    `java.lang.String` | `modified` The name of the modified method.
    `java.lang.String` | `name` The name of the component.
    `java.util.Map<java.lang.String,java.lang.Object>` | `properties` The declared component properties.
    `ReferenceDTO[]` | `references` The referenced services.
    `java.lang.String` | `scope` The service scope.
    `java.lang.String[]` | `serviceInterfaces` The fully qualified names of the service interfaces.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentDescriptionDTO()`

  - ### Method Summary

    - ### Methods inherited from class org.osgi.dto.DTO

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

      The name of the component.

      This is declared in the `name` attribute of the `component` element. This must be the default name if the component description does not declare a name.

    - #### bundle

          public org.osgi.framework.dto.BundleDTO bundle

      The bundle declaring the component description.

    - #### factory

          public java.lang.String factory

      The component factory name.

      This is declared in the `factory` attribute of the `component` element. This must be `null` if the component description is not declared as a component factory.

    - #### scope

          public java.lang.String scope

      The service scope.

      This is declared in the `scope` attribute of the `service` element. This must be `null` if the component description does not declare any service interfaces.

    - #### implementationClass

          public java.lang.String implementationClass

      The fully qualified name of the implementation class.

      This is declared in the `class` attribute of the `implementation` element.

    - #### defaultEnabled

          public boolean defaultEnabled

      The initial enabled state.

      This is declared in the `enabled` attribute of the `component` element.

    - #### immediate

          public boolean immediate

      The immediate state.

      This is declared in the `immediate` attribute of the `component` element.

    - #### serviceInterfaces

          public java.lang.String[] serviceInterfaces

      The fully qualified names of the service interfaces.

      These are declared in the `interface` attribute of the `provide` elements. The array must be empty if the component description does not declare any service interfaces.

    - #### properties

          public java.util.Map<java.lang.String,java.lang.Object> properties

      The declared component properties.

      These are declared in the `property` and `properties` elements.

    - #### references

          public ReferenceDTO[] references

      The referenced services.

      These are declared in the `reference` elements. The array must be empty if the component description does not declare references to any services.

    - #### activate

          public java.lang.String activate

      The name of the activate method.

      This is declared in the `activate` attribute of the `component` element. This must be `null` if the component description does not declare an activate method name.

    - #### deactivate

          public java.lang.String deactivate

      The name of the deactivate method.

      This is declared in the `deactivate` attribute of the `component` element. This must be `null` if the component description does not declare a deactivate method name.

    - #### modified

          public java.lang.String modified

      The name of the modified method.

      This is declared in the `modified` attribute of the `component` element. This must be `null` if the component description does not declare a modified method name.

    - #### configurationPolicy

          public java.lang.String configurationPolicy

      The configuration policy.

      This is declared in the `configuration-policy` attribute of the `component` element. This must be the default configuration policy if the component description does not declare a configuration policy.

    - #### configurationPid

          public java.lang.String[] configurationPid

      The configuration pids.

      These are declared in the `configuration-pid` attribute of the `component` element. This must contain the default configuration pid if the component description does not declare a configuration pid.

  - ### Constructor Detail

    - #### ComponentDescriptionDTO

          public ComponentDescriptionDTO()